데비안 용 시나몬은 지원을 보장하지 않습니까?

이 게시물을 시작하는 질문이 떠 오릅니다. 클렘 르페브르 나는 내가 남긴 코멘트에 답할 것이다 계피 블로그.

문제는 다음과 같습니다 : 어제 설치를 시도했습니다 계피 내 업무용 PC에서 데비안 테스트 + Xfce. 저장소 사용 LMDE 나는 이것을 설치하려고했다 껍질, 다른 경우와 마찬가지로 시도는 종속성으로 인해 실패했습니다. 밝혀졌다 계피 패키지가 필요해 libcogl5 (> = 1.7.4), 그러나 해당 패키지가 저장소에 없습니다. 데비안.

리포지토리에있는 버전을 설치하려고했습니다. 우분투 오네이릭,하지만 시스템의 파일을 덮어 쓸 수없는 경우 오류가 발생했습니다. 무엇보다도 사용 가능한 패키지는 데비안,이 (가)의 저장소에 있습니다. 시드 건축 전용 팔짱.

글쎄, 나는 가서 Clem과 상황을 논의하고 이것이 그의 반응이었습니다.

제 생각에 그것은 데비안 문제입니다. 그들이 최신 libcogl 만 제공하고 이름을 계속 변경한다면 Cinnamon과 Shell이 ​​계속해서 중단 될 것으로 예상해야합니다. 결국 우리는이 버전으로 옮겨 갈 것이지만, 장기적으로 데비안은 그 문제를 해결해야 할 것입니다.

다음과 같은 것이 무엇입니까?

제 생각에 그것은 데비안 문제입니다. 그들이 최신 libcogl을 제공하고 이름을 계속 변경한다면 Cinnamon과 Shell이 ​​지속적으로 중단 될 것으로 예상해야합니다. 시간이 지남에 따라이 버전으로 이동할 것이지만 장기적으로 데비안은이 문제를 해결해야합니다.

알 잖아 그는 실제로 부분적으로 옳지 만, 나는 항상 항상 일어나는 똑같은 일에 이미 조금 지겹습니다. 통일, 초등학교 OS, 계피, 모두 우분투 그리고 그들에게 자루를주는 다른 사람들. 하지만 아직도 이해가 안되는 부분이 있습니다. 어떻게 작동합니까? 계피 en Linux Mint 13, 패키지 libcogl5 또한 저장소에서 찾을 수 없습니다. 정확한? 다시 물어봐야 겠어 추위로 고생하다.

나에게 분명한 것은 LMDE, 나에게 배포 (이미 많이) 그냥 아이디어라서 신이 났는데, 그 버전에 바치지 않으면 죽어야 해요. 리눅스 민트데비안, 걸리는 시간. 나는 희망하고 SolusOS 내가 떠날 것이라고 확신하는 간격을 채우십시오 LMDE 사용자에게.

정말 부끄러운 일입니다. Xfce, 계피 그것은 아니라 껍질 de 데스크탑 환경 정말 내 관심을 끌고 있습니다.

 


기사의 내용은 우리의 원칙을 준수합니다. 편집 윤리. 오류를보고하려면 여기에.

25 코멘트, 당신의 것을 남겨주세요

코멘트를 남겨주세요

귀하의 이메일 주소는 공개되지 않습니다. 필수 필드가 표시되어 있습니다 *

*

*

  1. 데이터 책임자 : Miguel Ángel Gatón
  2. 데이터의 목적 : 스팸 제어, 댓글 관리.
  3. 합법성 : 귀하의 동의
  4. 데이터 전달 : 법적 의무에 의한 경우를 제외하고 데이터는 제 XNUMX 자에게 전달되지 않습니다.
  5. 데이터 저장소 : Occentus Networks (EU)에서 호스팅하는 데이터베이스
  6. 권리 : 귀하는 언제든지 귀하의 정보를 제한, 복구 및 삭제할 수 있습니다.

  1.   안젤로 가브리엘 마르케스 말도 나도

    그래서 친구에게 "드디어 빛을보고 KDE에 들어갔습니다." Gnome에서는 모든 것이 문제인 것 같습니다. Ubuntu뿐만 아니라 Debian에서도 가끔 많은 실수가 발생했습니다. 어쨌든 Mint의 사람들이 계속 Cinnamon을 작업하기를 바랍니다.

    1.    KZKG ^ 가아라

      이것이 제가 친구에게 말한 이유입니다.“마침내 나는 빛을보고 KDE에 들어갔다”. 그것은 모든 것이 문제라는 걸 그놈, 우분투뿐만 아니라 때로는 데비안에서도 나에게 많은 실수가 발생했습니다.

      아멘!!!!

      1.    마르코

        +1000 !!!!

      2.    적절한

        네, KDE는 정말 좋은 환경입니다 (:

  2.   엑시키즈

    나는 소프트웨어 (시나몬)가 당신의 것이라면 어떻게 데비안의 문제가 될 수 있는지 이해하지 못합니다. 무언가를 휴대하기로 결정한 경우 개발을 따라 배포에 적용해야합니다. 그렇지 않으면 요점이 무엇입니까? 나는 어쨌든 계피를 좋아하지 않는다 ...

    1.    elav <° Linux

      내가 이해 한 것은 데비안 패키지의 이름을 바꾸거나 최신 버전의 패키지를 사용하는 것이 문제가 아닙니다 (Linux Mint). 하지만 반복합니다.이 패키지가 Linux Mint 13의 기반 인 Precise 저장소에 없으면 어떻게 작동합니까? 😕

      1.    엑시키즈

        하지만 데비안이 이름과 버전을 변경하고 데비안 용 소프트웨어를 설계한다면, 데비안의 잘못이라고 말하고 침착하게 유지하는 것이 아니라 그 상황에 맞게 소프트웨어를 조정하는 것이 문제라는 것을 이해합니다. 어서, 내 의견이야.

        1.    elav <° Linux

          사실 나는 Clem에게 다시 편지를 썼고 실제로 그는 Cinnamon이 필요로하는 패키지가 더 이상 Ubuntu에 없다는 것을 깨달았습니다. 이 모든 일이 어떻게되는지 봅시다.

  3.   Rogertux

    나는 그것이 누구의 잘못인지 모른다. 그러나 내가 아는 것은 이것이 다른 배포판으로 성공적으로 이식되지 않은 특정 Unity를 상기시켜 준다는 것입니다.

    즉, Linux Mint의 데비안 기반 버전이 점점 더 많이 보류되고있는 것 같습니다. 그리고 제 생각에는 리눅스 민트 팀이 LMDE 지원을 개선 할 것인지 아니면 그냥 죽일 것인지를 결정해야한다고 생각합니다. 왜냐하면 이러한 프로젝트는 중간에 남겨질 수 없기 때문입니다.

    1.    KZKG ^ 가아라

      몇 년 안에 저는 제가 항상 옳았으며 LinuxMint가 Canonical보다 낫지도 나쁘지도 않지만 놈들처럼 ¬_¬

      1.    TDE

        나에게 Linux Mint는 Guardiola와 같고 Ubuntu는 Mourinho와 같습니다. 나는 무리뉴를 선호한다.

      2.    호세 미겔

        이것이 그들이 말하는 방식이며 이미 우리 둘이 있습니다.

        인사말.

      3.    부르 잔스 L 가르시아 D

        문제는 누가 그들을 이상화했는지, 나는 오랫동안 그들의 사이트에 그들을 가지고 있었다 .. 이것은 내가 오랫동안 LMDE의 문제에 대해 이야기 해 왔기 때문에 @elav를 놀라게하지 않아야한다… 나는 데비안에 만족한다 🙂

        1.    elav <° Linux

          물론 놀랍지 않습니다. LMDE가 관심을받지 못한다는 것을 깨달았 기 때문에 "순수한"데비안을 사용하기 위해 오래 전에 LMDE 사용을 중단했습니다.

  4.   루이스

    Elav, 버려진 프로젝트처럼 보이는 LMDE에 대한 귀하의 의견에 전적으로 동의합니다. 나는 그것을 사용했지만 지금은 SolusOs와 함께 있습니다. Clem은 "Mint로 Ubuntu를 개선"하는 데 계속 집착하는 것 같습니다. 운 좋게도 Ikey Doherty는 뛰어난 미학과 업데이트 된 응용 프로그램으로 "고전적인"Linux 경험을 제공하는 SolusOS 프로젝트를 계속합니다.

  5.   자민 사무엘

    매우 흥미로운 주제 ...

    계피는 또한 Fedora에서 매우 잘 걸립니다.

    데비안에서 작동하지 않지만 UBuntu에서는 작동한다는 것이 실제로 의미가 없기 때문에 그들이 데비안을 지원하고 싶지 않다고 생각합니다 (¬_¬) 또는 Ubuntu가 Debian과 다른가요?

    저에게있어 Clem은 데비안에 대해 아무것도 알고 싶지 않고 우분투를 더 구성하고 싶어합니다.

  6.   시바 87

    내가 본 데비안과 우분투에서 모두 존재하는 libcogl9는 libcogl의 버전 1.10에 해당합니다. 즉, libcoglX 종속성 (> = 1.7.4)에서 요청 된 내용을 준수합니다.

    아마도 그것을 매우 쉽게 보는 것은 나이지만 종속성으로 두는 문제가 될 것입니다.
    libcogl5 (> = 1.7.4)

    장소:
    libcogl5 (> = 1.7.4) | libcogl9 (> = 1.7.4)

    그리고 그 외에는 패키지가 아니라는 것이 아니라 이름이 현재 사용중인 것과 일치하지 않는다는 것입니다.

    1.    시바 87

      그는 "퍼팅에 대한 질문"이 아니라 "퍼팅 대신"을 의미했습니다.

    2.    elav <° Linux

      정확한. 어쨌든 Clem이 그 문제를 발견했기 때문에 곧 오류를 수정할 것입니다.

  7.   Giskard

    LinuxMint 페이지의 내용을 살펴 보겠습니다.

    http://www.linuxmint.com/download_lmde.php

    LMDE에 대한 FAQ
    1. LMDE는 Ubuntu 기반 Linux Mint 에디션과 호환됩니까?
    전혀 그렇지 않다. LMDE는 Ubuntu와 호환되지 않는 Debian과 호환됩니다.

    보시다시피 호환성은 아래쪽입니다. 처음부터 알아 차리면. 그들은 Ubuntu를 위해 설계되었으므로 Mint 및 Ubuntu에서 내려온 것들과 호환되지만 위쪽으로는 호환되지 않습니다.

    그것은 매우 분명한 것 같습니다.

    1.    elav <° Linux

      Ubuntu는 데비안에서 패키지를 가져 오므로 자체 패키지가 아니거나 유지하기로 결정하지 않는 한 데비안에 포함되거나 제외 된 것이 영향을 미칩니다. 그러나 그렇지 않습니다. libcogl5는 정확하지 않습니다.

  8.   크리스토퍼

    데비안 테스트에 Cinnamon을 설치하려는 경우 LMDE 패키지와 거의 동일한 6 개월 전의 이전 테스트 이미지에서 설치하려면 LMDE 저장소를 추가하고 Cinnamon을 설치합니다. 그런 다음 "종속성 오류"로 인해 제거되지 않도록 최대한 안전하게 업그레이드하십시오.

  9.   Auroszx

    Linux Mint ¬¬의 지원 부족

  10.   비키

    모두가 할 수있는 일을합니다. 저는 리눅스 민트 나 elementaryOS 팀이 너무 많은 자원을 가지고 있다고 생각하지 않습니다. 모든 프로젝트가 kde는 아닙니다. 나는 그것들을 프로젝트로 좋아하고 모든 배포판에 판테온 쉘이나 시나몬을 설치할 수 있으면 좋겠지 만 현재로서는 불가능하며 개발자가 이식성 대신 다른 것에 집중하는 것을 선호한다면 나는 내가 그들을 위해 어떤 일도 해본 적이 없거나 기부 한 적이 없다고 말하면 그들이 나에게 빚을 졌다고 비판합니다.

  11.   시사 해설자

    글쎄요, 잠시 태어나서 센세이션이되는 프로젝트가 많다고 생각 합니다만, 그 후 망각에 빠집니다 (요일의 꽃). 그것이 내가 더 많은 시간이있는 프로젝트를 선호하는 이유이며 참신함에 의존하지 않는 것입니다.